Update Instantbird in the background

RESOLVED FIXED in 1.4

Status

Instantbird
Other
--
enhancement
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: Mic)

Tracking

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 1582 at 2012-07-11 19:16:00 UTC ***

+++ This bug was initially created as a clone of Mozilla Bio #757448 +++

Mozilla Bio 307181 added support for staging updates in the background to Firefox.  This behavior is controlled by the "app.update.stage.enabled" pref, which is only set to true in Firefox.

Instantbird also needs to pick up this pref.  Someone should presumably test to make sure that this won't break updates for Instantbird before doing that.
(Assignee)

Comment 1

4 years ago
Created attachment 8353924 [details] [diff] [review]
Patch setting app.update.staging.enabled

*** Original post on bio 1582 as attmnt 2162 at 2012-12-08 23:42:00 UTC ***

Here's a patch toggling the staging pref if it turns out that testing worked fine for all of us.

It worked fine on Windows 7 with an older nightly (2012-11-30): manually check for updates, choose "restart later", quit and restart some time later to be updated to the most recent nightly without a delay or progress bar at startup next time.

For further testing I'm enabling the pref on my default profile + automatic update checking + automatic downloads/install. Let's see if that works fine during the next days. It would be nice to get some testing on Linux and OSX too.
Attachment #8353924 - Flags: review?(clokep)
(Assignee)

Updated

4 years ago
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
(Reporter)

Comment 2

4 years ago
Comment on attachment 8353924 [details] [diff] [review]
Patch setting app.update.staging.enabled

*** Original change on bio 1582 attmnt 2162 at 2012-12-10 11:38:36 UTC ***

I've updating a couple of times with this manually set to true and it seems to work fine!
Attachment #8353924 - Flags: review?(clokep) → review+
(Reporter)

Updated

4 years ago
Whiteboard: [checkin-needed]
(Assignee)

Comment 3

4 years ago
*** Original post on bio 1582 at 2012-12-21 23:11:42 UTC ***

(In reply to comment #2)
> Comment on attachment 8353924 [details] [diff] [review] (bio-attmnt 2162) [details]
> Patch setting app.update.staging.enabled
> 
> I've updating a couple of times with this manually set to true and it seems to
> work fine!

I've also updated successfully since then on Windows 7. Florian, do you know if this works fine on OSX?
*** Original post on bio 1582 at 2012-12-22 01:03:30 UTC ***

(In reply to comment #3)
> (In reply to comment #2)
> > Comment on attachment 8353924 [details] [diff] [review] (bio-attmnt 2162) [details]
> > Patch setting app.update.staging.enabled
> > 
> > I've updating a couple of times with this manually set to true and it seems to
> > work fine!
> 
> I've also updated successfully since then on Windows 7. Florian, do you know if
> this works fine on OSX?

I haven't tried, but I don't want to block this longer. Let's see if people (including me) complain in 2 nightlies ;).
*** Original post on bio 1582 at 2012-12-22 01:04:04 UTC ***

http://hg.instantbird.org/instantbird/rev/853d6166950d
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.